Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class MapDynamicPropertyHandler

    java.lang.Object
      |
      +--org.apache.commons.jxpath.MapDynamicPropertyHandler

All Implemented Interfaces:
  DynamicPropertyHandler

public class MapDynamicPropertyHandler
extends java.lang.Object
implements DynamicPropertyHandler

Implements the DynamicPropertyHandler interface for java.util.Map.

Version:
  $Revision: 1.4 $ $Date: 2003/03/11 00:59:12 $
Author:
  Dmitri Plotnikov

Constructor Summary
`MapDynamicPropertyHandler()`

Method Summary
`java.lang.Object` | `getProperty(java.lang.Object object, java.lang.String propertyName)` Returns the value for the specified key.
`java.lang.String[]` | `getPropertyNames(java.lang.Object object)` Returns string representations of all keys in the map.
`void` | `setProperty(java.lang.Object object, java.lang.String propertyName, java.lang.Object value)` Sets the specified key value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapDynamicPropertyHandler

    public MapDynamicPropertyHandler()

Method Detail

### getPropertyNames

    public java.lang.String[] getPropertyNames(java.lang.Object object)

  Returns string representations of all keys in the map.
  Specified by:
    `getPropertyNames` in interface `DynamicPropertyHandler`

### getProperty

    public java.lang.Object getProperty(java.lang.Object object,
                                        java.lang.String propertyName)

  Returns the value for the specified key.
  Specified by:
    `getProperty` in interface `DynamicPropertyHandler`

### setProperty

    public void setProperty(java.lang.Object object,
                            java.lang.String propertyName,
                            java.lang.Object value)

  Sets the specified key value.
  Specified by:
    `setProperty` in interface `DynamicPropertyHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.